Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 230506 - Reindenting of Twig files doesn't work properly for block tags (content)
Reindenting of Twig files doesn't work properly for block tags (content)
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Twig
7.4
All All
: P3 with 2 votes (vote)
: 8.0
Assigned To: Ondrej Brejla
issues@php
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 08:52 UTC by Ondrej Brejla
Modified: 2014-03-06 10:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Brejla 2013-05-30 08:52:59 UTC
Try to reindent:

<div>
<div>
{{if true}}
var
{{else}}
foo
{{endif}}
</div>
</div>
Comment 1 Ondrej Brejla 2013-07-22 13:48:50 UTC
It seems that top lexer has to be rewritten. Open and close delimiters should be lexed in top layer.
Comment 2 Ondrej Brejla 2014-02-10 13:04:15 UTC
Fixed in web-main #fd090bf708e3
Comment 3 Quality Engineering 2014-02-11 02:54:44 UTC
Integrated into 'main-silver', will be available in build *201402110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fd090bf708e3
User: Ondrej Brejla <obrejla@netbeans.org>
Log: #230506 - Reindenting of Twig files doesn't work properly for block tags (content)
Comment 4 mmolda 2014-03-06 10:59:35 UTC
Verified.

Product Version: NetBeans IDE Dev (Build 201403060001)
Java: 1.8.0; Java HotSpot(TM) 64-Bit Server VM 25.0-b69
Runtime: Java(TM) SE Runtime Environment 1.8.0-b131
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo